/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSLDATE_INTRTNDEF               */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  This module defines function prototypes for all the internal         */
/*  date/time routines used in more than one module.             */
/*                                       */
/*===========================================================================*/

#ifndef PSL__PSLDATE_INTRTNDEF_LOADED
#define PSL__PSLDATE_INTRTNDEF_LOADED 1

unsigned long   PSL_FMT_SYSDAT (unsigned long date,
                                unsigned long time,
                                char *buf_ptr,
                                unsigned long buflen,
                                unsigned long flags);

unsigned long   PSL_PARSE_SYSDAT (const char *buf_ptr,
                                  unsigned long *date_ptr,
                                  unsigned long *time_ptr,
                                  unsigned long inflags,
                                  unsigned long *outflags_ptr);

#endif  /* PSL__PSLDATE_INTRTNDEF_LOADED */

