#ifndef PSL__PSLMSG_PRMDEF_LOADED
#define PSL__PSLMSG_PRMDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSLMSG_PRMDEF               */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  Symbolic Names for Parameters to PSL_GET_MESSAGE             */
/*                                       */
/*                                       */
/*===========================================================================*/

/*** MODULE PSLMSG_PRMDEF ***/
/*  Message Flags */
#define            PSLMSG_TEXT 0X1  /* Retrieve text */
#define            PSLMSG_PREFIX 0X2    /* Retrieve prefix */
#define            PSLMSG_UTLNAM 0X4    /* Use Utility Name in prefix */
#define            PSLMSG_CODE 0X8  /* Retrieve message code */

/*  End of C Include File */

#endif  /* PSL__PSLMSG_PRMDEF_LOADED */
