/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// Plugin.h: interface for the CPlugin class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLUGIN_H__F764A4E1_5D76_4C9E_9720_C2C76F067698__INCLUDED_)
#define AFX_PLUGIN_H__F764A4E1_5D76_4C9E_9720_C2C76F067698__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPlugin  
{
public:
	CPlugin(HINSTANCE hDLL ,int nType, CString szTitle, CString szPackage);
	virtual ~CPlugin();

	int GetType();
	CString GetTitle();
	CString GetPackage();
	HINSTANCE GetHandle();
    FARPROC     GetFunction     (CString FunctionName);

private:
	CString m_szTitle;
	CString m_szPackage;
	int m_nType;
	HINSTANCE m_hDLL;


};

#endif // !defined(AFX_PLUGIN_H__F764A4E1_5D76_4C9E_9720_C2C76F067698__INCLUDED_)
