/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// OpenSTABHO.h : Declaration of the COpenSTABHO

#ifndef __OPENSTABHO_H_
#define __OPENSTABHO_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// COpenSTABHO
class ATL_NO_VTABLE COpenSTABHO : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<COpenSTABHO, &CLSID_OpenSTABHO>,
	public IObjectWithSiteImpl<COpenSTABHO>,
	public IDispatchImpl<IOpenSTABHO, &IID_IOpenSTABHO, &LIBID_CAPTUREBHOLib>
{
public:
	COpenSTABHO()
	{
	}

    static void Init();
    static void Uninit();

DECLARE_REGISTRY_RESOURCEID(IDR_OPENSTABHO)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(COpenSTABHO)
	COM_INTERFACE_ENTRY(IOpenSTABHO)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IObjectWithSite)
END_COM_MAP()

// IOpenSTABHO
public:
};

#endif //__OPENSTABHO_H_
