;//  Copyright (C) 2000 Cyrano SA
;//
;//  This file is part of OpenSTA
;//
;//  OpenSTA is free software; you can redistribute it and/or modify it under
;//  the terms of the GNU General Public License as published by the Free
;//  Software Foundation; either version 2, or (at your option) any later
;//  version.
;//
;//  OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
;//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
;//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
;//  for more details.
;//
;//  You should have received a copy of the GNU General Public License along
;//  with OpenSTA; see the file COPYING.  If not, write to the Free Software
;//  Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
;//
;//  For more information about the GNU Public license see:
;//  http://www.gnu.org/copyleft/gpl.html
;//
;//  OpenSTA is at:
;//  http://www.opensta.org/
;//  http://opensta.sourceforge.net/
;//
;// 
;//  shrmsg.mc:
;//  ==========
;//
;//  Windows message source file containing message definitions for OpenSTA.
;// 
;//MessageIdTypedef=DWORD
MessageIdTypedef=long
FacilityNames=(
	PSL=2049:FACILITY_PSL
	VTEST=2050:FACILITY_VTEST
	SCL=2051:FACILITY_SCL
	TPG=2052:FACILITY_TPG
	)
;// 
;// FACILITY PSL
;// 
MessageId=1
Severity=Success
Facility=PSL
SymbolicName=PSL_NORMAL
Language=English
NORMAL,Normal Successful Completion
.

MessageId=501
Severity=Informational
Facility=PSL
SymbolicName=PSL_CREATED
Language=English
CREATED,!AS Created
.

MessageId=502
Severity=Informational
Facility=PSL
SymbolicName=PSL_FILDEL
Language=English
FILDEL,!AS Deleted
.

MessageId=503
Severity=Informational
Facility=PSL
SymbolicName=PSL_ENDDIAGS
Language=English
ENDDIAGS,!AS Completed with !UL Diagnostic!%%S
.

MessageId=504
Severity=Informational
Facility=PSL
SymbolicName=PSL_ENDNOOBJ
Language=English
ENDNOOBJ,!AS Completed with !UL Diagnostic!%%S - Object Deleted
.

MessageId=505
Severity=Informational
Facility=PSL
SymbolicName=PSL_DELETED
Language=English
DELETED,!AS Deleted from !AS
.

MessageId=506
Severity=Informational
Facility=PSL
SymbolicName=PSL_INSERTED
Language=English
INSERTED,!AS Inserted in !AS
.

MessageId=507
Severity=Informational
Facility=PSL
SymbolicName=PSL_REPLACED
Language=English
REPLACED,!AS Replaced in !AS
.

MessageId=508
Severity=Informational
Facility=PSL
SymbolicName=PSL_EXTRACTED
Language=English
EXTRACTED,!AS Extracted from !AS
.

MessageId=509
Severity=Informational
Facility=PSL
SymbolicName=PSL_VALIDITEM
Language=English
VALIDITEM,!AS Validated in !AS
.

MessageId=510
Severity=Informational
Facility=PSL
SymbolicName=PSL_VALIDATED
Language=English
VALIDATED,!AS Validated
.

MessageId=511
Severity=Informational
Facility=PSL
SymbolicName=PSL_DELITEM
Language=English
DELITEM,!UW item!%%S deleted from !AS
.

MessageId=512
Severity=Informational
Facility=PSL
SymbolicName=PSL_INSITEM
Language=English
INSITEM,!UW item!%%S inserted in !AS
.

MessageId=513
Severity=Informational
Facility=PSL
SymbolicName=PSL_REPITEM
Language=English
REPITEM,!UW item!%%S replaced !UW inserted in !AS
.

MessageId=514
Severity=Informational
Facility=PSL
SymbolicName=PSL_EXTITEM
Language=English
EXTITEM,!UW item!%%S extracted from !AS
.

MessageId=515
Severity=Informational
Facility=PSL
SymbolicName=PSL_CHECKED
Language=English
CHECKED,!AS Checked in !AS
.

MessageId=516
Severity=Informational
Facility=PSL
SymbolicName=PSL_CHKITEM
Language=English
CHKITEM,!UW item!%%S checked in !AS
.

MessageId=517
Severity=Informational
Facility=PSL
SymbolicName=PSL_COMPILED
Language=English
COMPILED,!AS Compiled
.

MessageId=518
Severity=Informational
Facility=PSL
SymbolicName=PSL_LISTNOROOM
Language=English
LISTNOROOM,No Room on Current Listing Page
.

MessageId=519
Severity=Informational
Facility=PSL
SymbolicName=PSL_ALREADY_DELETED
Language=English
ALREADY_DELETED,!AS Already Deleted from !AS
.

MessageId=520
Severity=Informational
Facility=PSL
SymbolicName=PSL_COMPITEM
Language=English
COMPITEM,!AS Compressed in !AS
.

MessageId=521
Severity=Informational
Facility=PSL
SymbolicName=PSL_COMPRESSED
Language=English
COMPRESSED,!AS Compressed
.

MessageId=522
Severity=Informational
Facility=PSL
SymbolicName=PSL_AUDITING
Language=English
AUDITING,Auditing to !AS
.

MessageId=523
Severity=Informational
Facility=PSL
SymbolicName=PSL_GENERATED
Language=English
GENERATED,Source Code Generated for !AS from !AS
.

MessageId=524
Severity=Informational
Facility=PSL
SymbolicName=PSL_GENITEM
Language=English
GENITEM,Source Code Generated for !UL item!%%S from !AS
.

MessageId=525
Severity=Informational
Facility=PSL
SymbolicName=PSL_SCREENDUMP
Language=English
SCREENDUMP,Screen Dumped to File !AS
.

MessageId=526
Severity=Informational
Facility=PSL
SymbolicName=PSL_UAFACCUPD
Language=English
UAFACCUPD,UAF record for account !AS sucessfully updated
.

MessageId=527
Severity=Informational
Facility=PSL
SymbolicName=PSL_UAFQUOUPD
Language=English
UAFQUOUPD,!AS quota increased from !UL to !UL
.

MessageId=528
Severity=Informational
Facility=PSL
SymbolicName=PSL_COMPREC
Language=English
COMPREC,Library compression recommended
.

MessageId=529
Severity=Informational
Facility=PSL
SymbolicName=PSL_BLKUSE
Language=English
BLKUSE,!UL blocks available, !UL in use
.

MessageId=530
Severity=Informational
Facility=PSL
SymbolicName=PSL_PARSEOFF
Language=English
PARSEOFF,Compilation Suspended
.

MessageId=531
Severity=Informational
Facility=PSL
SymbolicName=PSL_PARSEON
Language=English
PARSEON,Compilation Resumed
.

MessageId=532
Severity=Informational
Facility=PSL
SymbolicName=PSL_ITMUSE
Language=English
ITMUSE,!UL !AS slots available, !UL in use
.

MessageId=533
Severity=Informational
Facility=PSL
SymbolicName=PSL_ITMLOCKED
Language=English
ITMLOCKED,Item !AS Locked - waiting...
.

MessageId=534
Severity=Informational
Facility=PSL
SymbolicName=PSL_IDENT
Language=English
IDENT,!AS !AS, Serial number !AS
.

MessageId=535
Severity=Informational
Facility=PSL
SymbolicName=PSL_REFRESHING
Language=English
REFRESHING,Refreshing !AS !AS
.

MessageId=536
Severity=Informational
Facility=PSL
SymbolicName=PSL_LSTCHANCE
Language=English
LSTCHANCE,Renew your agreement before your software becomes inoperative
.

MessageId=537
Severity=Informational
Facility=PSL
SymbolicName=PSL_RENEW
Language=English
RENEW,Please contact your distributor to renew your agreement
.

MessageId=538
Severity=Informational
Facility=PSL
SymbolicName=PSL_CONSDISTRIB
Language=English
CONSDISTRIB,Please consult your distributor
.

MessageId=540
Severity=Informational
Facility=PSL
SymbolicName=PSL_RECSUSPENDED
Language=English
RECSUSPENDED,Recording of Terminal !AS Suspended
.

MessageId=541
Severity=Informational
Facility=PSL
SymbolicName=PSL_RECRESUMED
Language=English
RECRESUMED,Recording of Terminal !AS Resumed
.

MessageId=542
Severity=Informational
Facility=PSL
SymbolicName=PSL_MODIFIED
Language=English
MODIFIED,!AS Modified in !AS
.

MessageId=543
Severity=Informational
Facility=PSL
SymbolicName=PSL_MODITEM
Language=English
MODITEM,!UW item!%%S modified in !AS
.

MessageId=544
Severity=Informational
Facility=PSL
SymbolicName=PSL_ASCIICRE
Language=English
ASCIICRE,ASCII File !AS Created
.

MessageId=545
Severity=Informational
Facility=PSL
SymbolicName=PSL_CALCULATING
Language=English
CALCULATING,Calculating Statistics Information ...
.

MessageId=546
Severity=Informational
Facility=PSL
SymbolicName=PSL_LISTCRE
Language=English
LISTCRE,Output Listing File !AS Created
.

MessageId=547
Severity=Informational
Facility=PSL
SymbolicName=PSL_RECORDING
Language=English
RECORDING,Recording Terminal !AS to File !AS
.

MessageId=548
Severity=Informational
Facility=PSL
SymbolicName=PSL_CONSRECFIL
Language=English
CONSRECFIL,Consolidating Recording File !AS ...
.

MessageId=750
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_TOGGLE
Language=English
HLP_TOGGLE,Use <SPACE> to toggle the available options
.

MessageId=751
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_YESNO
Language=English
HLP_YESNO,Use <SPACE> to toggle the available options: Yes or No
.

MessageId=752
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_TEXT
Language=English
HLP_TEXT,Enter a Text String
.

MessageId=753
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_NUM
Language=English
HLP_NUM,Enter a Numeric Value
.

MessageId=754
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_CHAR
Language=English
HLP_CHAR,Enter a Character
.

MessageId=755
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_MSG_NAV
Language=English
HLP_MSG_NAV,Use cursor keys, <NEXT/PREV-PAGE> and <NEXT/PREV-SEQ> to navigate list
.

MessageId=756
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_DATE
Language=English
HLP_DATE,Enter a Date String
.

MessageId=757
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_DATTIM
Language=English
HLP_DATTIM,Enter a system date/time
.

MessageId=758
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_FILSPC
Language=English
HLP_FILSPC,Enter a file specification
.

MessageId=759
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_LEGVAL
Language=English
HLP_LEGVAL,Use <SPACE> to toggle the available options: Legend or Value
.

MessageId=760
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_MNUMUL
Language=English
HLP_MNUMUL,Select/deselect desired options, use <EXIT> to terminate menu
.

MessageId=761
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_MNUSIN
Language=English
HLP_MNUSIN,Select desired option
.

MessageId=762
Severity=Informational
Facility=PSL
SymbolicName=PSL_HLP_UPDATE
Language=English
HLP_UPDATE,Press any key to update the screen
.

MessageId=1001
Severity=Warning
Facility=PSL
SymbolicName=PSL_CLOSEIN
Language=English
CLOSEIN,Error Closing !AS as Input
.

MessageId=1002
Severity=Warning
Facility=PSL
SymbolicName=PSL_CLOSEOUT
Language=English
CLOSEOUT,Error Closing !AS as Output
.

MessageId=1003
Severity=Warning
Facility=PSL
SymbolicName=PSL_INSNOTREP
Language=English
INSNOTREP,!AS Inserted not Replaced in !AS
.

MessageId=1004
Severity=Warning
Facility=PSL
SymbolicName=PSL_LISTNOLINES
Language=English
LISTNOLINES,No Data Lines output to Listing File
.

MessageId=1005
Severity=Warning
Facility=PSL
SymbolicName=PSL_EMPTYIN
Language=English
EMPTYIN,Empty Input File !AS
.

MessageId=1006
Severity=Warning
Facility=PSL
SymbolicName=PSL_TRMBUFFUL
Language=English
TRMBUFFUL,Terminal Output Buffer Full
.

MessageId=1007
Severity=Warning
Facility=PSL
SymbolicName=PSL_TRMUNSUP
Language=English
TRMUNSUP,Terminal Function not Supported for this Terminal Type
.

MessageId=1008
Severity=Warning
Facility=PSL
SymbolicName=PSL_TOOMANYLOCKS
Language=English
TOOMANYLOCKS,Too Many Locks on Resource !AS, some ignored
.

MessageId=1009
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOAUDIT
Language=English
NOAUDIT,Old ATF file !AS missing, creating new one
.

MessageId=1010
Severity=Warning
Facility=PSL
SymbolicName=PSL_DELNOTREP
Language=English
DELNOTREP,!AS Deleted not Replaced in !AS
.

MessageId=1011
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOMTCHFOU
Language=English
NOMTCHFOU,No Matches found for !AS in !AS
.

MessageId=1012
Severity=Warning
Facility=PSL
SymbolicName=PSL_CDDEDDTINC
Language=English
CDDEDDTINC,CDD Edit String and Datatype are Incompatible
.

MessageId=1013
Severity=Warning
Facility=PSL
SymbolicName=PSL_UNCONVCHARS
Language=English
UNCONVCHARS,Unconverted Characters in String
.

MessageId=1014
Severity=Warning
Facility=PSL
SymbolicName=PSL_LISTINTERRUPT
Language=English
LISTINTERRUPT,Listing interrupted !SL time!%%S
.

MessageId=1015
Severity=Warning
Facility=PSL
SymbolicName=PSL_VALBLK
Language=English
VALBLK,Bit map re-created. !SL block!%%S retrieved
.

MessageId=1016
Severity=Warning
Facility=PSL
SymbolicName=PSL_VALITMERR
Language=English
VALITMERR,Error validating !AF in !AS - item deleted
.

MessageId=1017
Severity=Warning
Facility=PSL
SymbolicName=PSL_OPINCOMP
Language=English
OPINCOMP,!AS operation for !AS incomplete
.

MessageId=1018
Severity=Warning
Facility=PSL
SymbolicName=PSL_AMBPROC
Language=English
AMBPROC,Ambiguous Process - !XL (!AS) running !AS Found
.

MessageId=1019
Severity=Warning
Facility=PSL
SymbolicName=PSL_IVKEYW
Language=English
IVKEYW,Unrecognized Keyword - check Validity and Spelling!/ \\!AS\\
.

MessageId=1020
Severity=Warning
Facility=PSL
SymbolicName=PSL_EXPIRY
Language=English
EXPIRY,Warning - Your rental agreement expires on !AS
.

MessageId=1021
Severity=Warning
Facility=PSL
SymbolicName=PSL_EXPRDWRN
Language=English
EXPRDWRN,Your rental agreement expired on !AS
.

MessageId=1022
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOMCHLICWRN
Language=English
NOMCHLICWRN,Please Note - You are not licensed to run on this machine
.

MessageId=1023
Severity=Warning
Facility=PSL
SymbolicName=PSL_DUPSCRNAM
Language=English
DUPSCRNAM,Duplicate screen image name !AS written as !AS
.

MessageId=1024
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOECHO
Language=English
NOECHO,The Script Recording File Contained Non-echoed Input
.

MessageId=1025
Severity=Warning
Facility=PSL
SymbolicName=PSL_DATTIMWRN
Language=English
DATTIMWRN,!AS Date/Time is !AS !AS Date/Time
.

MessageId=1026
Severity=Warning
Facility=PSL
SymbolicName=PSL_INVCMD
Language=English
INVCMD,!AS
.

MessageId=1027
Severity=Warning
Facility=PSL
SymbolicName=PSL_IVQUAL
Language=English
IVQUAL,Unrecognized qualifier - check validity, spelling and placement!/ \\!AS\\
.

MessageId=1028
Severity=Warning
Facility=PSL
SymbolicName=PSL_MAXPARM
Language=English
MAXPARM,Too many parameters - reenter command with fewer parameters!/ \\!AS\\
.

MessageId=1029
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOLIST
Language=English
NOLIST,List of parameter values not allowed - check use of comma (,)!/ \\!AS\\
.

MessageId=1030
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOPAREN
Language=English
NOPAREN,Value improperly delimited - supply parentheses!/ \\!AS\\
.

MessageId=1031
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOTNEG
Language=English
NOTNEG,Qualifier or keyword not negatable - remove 'NO' or omit!/ \\!AS\\
.

MessageId=1032
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOVALU
Language=English
NOVALU,Value not allowed - remove value specification!/ \\!AS\\
.

MessageId=1033
Severity=Warning
Facility=PSL
SymbolicName=PSL_NULFIL
Language=English
NULFIL,Missing or invalid file specification - respecify
.

MessageId=1034
Severity=Warning
Facility=PSL
SymbolicName=PSL_NUMBER
Language=English
NUMBER,Invalid numeric value - supply an integer!/ \\!AS\\
.

MessageId=1035
Severity=Warning
Facility=PSL
SymbolicName=PSL_ONEVAL
Language=English
ONEVAL,List of values not allowed - check use of comma (,)!/ \\!AS\\
.

MessageId=1036
Severity=Warning
Facility=PSL
SymbolicName=PSL_VALREQ
Language=English
VALREQ,Missing qualifier or keyword value - supply all required values!/ \\!AS\\
.

MessageId=1037
Severity=Warning
Facility=PSL
SymbolicName=PSL_HEXNUMBER
Language=English
HEXNUMBER,Invalid hexadecimal value!/ \\!AS\\
.

MessageId=1038
Severity=Warning
Facility=PSL
SymbolicName=PSL_INSFPRM
Language=English
INSFPRM,Missing command parameters - supply all required parameters
.

MessageId=1039
Severity=Warning
Facility=PSL
SymbolicName=PSL_ABKEYW
Language=English
ABKEYW,Ambiguous qualifier or keyword - supply more characters!/ \\!AS\\
.

MessageId=1040
Severity=Warning
Facility=PSL
SymbolicName=PSL_IVSWIT
Language=English
IVSWIT,Unrecognized switch - check validity!/ \\!AS\\
.

MessageId=1041
Severity=Warning
Facility=PSL
SymbolicName=PSL_VALREQU
Language=English
VALREQU,Missing switch or keyword value - supply all required values!/ \\!AS\\
.

MessageId=1042
Severity=Warning
Facility=PSL
SymbolicName=PSL_CONFLICT
Language=English
CONFLICT,Illegal combination of command elements - check documentation!/ !AS
.

MessageId=1043
Severity=Warning
Facility=PSL
SymbolicName=PSL_DATTIMBEFSTRT
Language=English
DATTIMBEFSTRT,Specified Start Date/Time is Before Actual Start Date/Time
.

MessageId=1044
Severity=Warning
Facility=PSL
SymbolicName=PSL_DATTIMAFTEND
Language=English
DATTIMAFTEND,Specified End Date/Time is After Actual End Date/Time
.

MessageId=1045
Severity=Warning
Facility=PSL
SymbolicName=PSL_TRMNORESIZE
Language=English
TRMNORESIZE,Cannot Resize Terminal - Screen Display is Truncated
.

MessageId=1046
Severity=Warning
Facility=PSL
SymbolicName=PSL_NODPIDRUN
Language=English
NODPIDRUN,The data path intercept daemon (dpid) is not running
.

MessageId=1047
Severity=Warning
Facility=PSL
SymbolicName=PSL_STRNOPCKT
Language=English
STRNOPCKT,Unable to locate the STREAMS {psl}pckt module
.

MessageId=1048
Severity=Warning
Facility=PSL
SymbolicName=PSL_NOREF
Language=English
NOREF,'!AS': unreferenced !AS
.

MessageId=1501
Severity=Error
Facility=PSL
SymbolicName=PSL_LISTABORT
Language=English
LISTABORT,Listing output aborted
.

MessageId=1502
Severity=Error
Facility=PSL
SymbolicName=PSL_LISTNOTINI
Language=English
LISTNOTINI,Listing not Initialized
.

MessageId=1503
Severity=Error
Facility=PSL
SymbolicName=PSL_NOMATCH
Language=English
NOMATCH,String does not match boilerplate
.

MessageId=1504
Severity=Error
Facility=PSL
SymbolicName=PSL_ENDMATCH
Language=English
ENDMATCH,String follows all possible matches for boilerplate
.

MessageId=1505
Severity=Error
Facility=PSL
SymbolicName=PSL_INVKEYWRD
Language=English
INVKEYWRD,Invalid Keyword
.

MessageId=1506
Severity=Error
Facility=PSL
SymbolicName=PSL_ITEMEXISTS
Language=English
ITEMEXISTS,Error inserting !AS - Item already exists in library !AS
.

MessageId=1507
Severity=Error
Facility=PSL
SymbolicName=PSL_INVCNV
Language=English
INVCNV,Library file !AS does not require converting
.

MessageId=1508
Severity=Error
Facility=PSL
SymbolicName=PSL_UNLOCKERR
Language=English
UNLOCKERR,Error Unlocking !AS
.

MessageId=1509
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDUNSREC
Language=English
CDDUNSREC,CDD record contains unsupported element
.

MessageId=1510
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDBADBUF
Language=English
CDDBADBUF,Bad CDD buffer format
.

MessageId=1511
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDBADEDITSTR
Language=English
CDDBADEDITSTR,Bad CDD edit string
.

MessageId=1512
Severity=Error
Facility=PSL
SymbolicName=PSL_BADRECSIZ
Language=English
BADRECSIZ,Source Line is Too Long
.

MessageId=1513
Severity=Error
Facility=PSL
SymbolicName=PSL_CONFKEYWRD
Language=English
CONFKEYWRD,Conflicting Keywords specified
.

MessageId=1514
Severity=Error
Facility=PSL
SymbolicName=PSL_CONTERR
Language=English
CONTERR,Continuation Character is not the last item on line
.

MessageId=1515
Severity=Error
Facility=PSL
SymbolicName=PSL_DUPKEYWRD
Language=English
DUPKEYWRD,Duplicated Keyword
.

MessageId=1516
Severity=Error
Facility=PSL
SymbolicName=PSL_EXTTXT
Language=English
EXTTXT,Unexpected Text Encountered Following Statement
.

MessageId=1517
Severity=Error
Facility=PSL
SymbolicName=PSL_PREMEOF
Language=English
PREMEOF,Unexpected End of File Encountered
.

MessageId=1518
Severity=Error
Facility=PSL
SymbolicName=PSL_PREMEOL
Language=English
PREMEOL,Unexpected End of Line Encountered
.

MessageId=1519
Severity=Error
Facility=PSL
SymbolicName=PSL_SYNTAXERR
Language=English
SYNTAXERR,Syntax Error
.

MessageId=1520
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDARRAY
Language=English
CDDARRAY,CDD Element !AS has Array Attribute
.

MessageId=1522
Severity=Error
Facility=PSL
SymbolicName=PSL_EXTTXT_AT
Language=English
EXTTXT_AT,Unexpected Text Encountered Following Statement at or near !AS
.

MessageId=1523
Severity=Error
Facility=PSL
SymbolicName=PSL_PREMEOF_AT
Language=English
PREMEOF_AT,Unexpected End of File Encountered at or near !AS
.

MessageId=1524
Severity=Error
Facility=PSL
SymbolicName=PSL_PREMEOL_AT
Language=English
PREMEOL_AT,Unexpected End of Line Encountered at or near !AS
.

MessageId=1525
Severity=Error
Facility=PSL
SymbolicName=PSL_SYNTAXERR_AT
Language=English
SYNTAXERR_AT,Syntax Error at or near !AS
.

MessageId=1526
Severity=Error
Facility=PSL
SymbolicName=PSL_INVKEYWRD_AT
Language=English
INVKEYWRD_AT,Invalid Keyword at or near !AS
.

MessageId=1527
Severity=Error
Facility=PSL
SymbolicName=PSL_CONTERR_AT
Language=English
CONTERR_AT,Continuation Character & is not the last item on line at or near !AS
.

MessageId=1528
Severity=Error
Facility=PSL
SymbolicName=PSL_INSITMERR
Language=English
INSITMERR,Error inserting !AS into !AS
.

MessageId=1529
Severity=Error
Facility=PSL
SymbolicName=PSL_INVITM
Language=English
INVITM,Item header/code corrupted
.

MessageId=1530
Severity=Error
Facility=PSL
SymbolicName=PSL_INVNAME
Language=English
INVNAME,Invalid name in header
.

MessageId=1531
Severity=Error
Facility=PSL
SymbolicName=PSL_DELITMERR
Language=English
DELITMERR,Error deleting !AS from !AS
.

MessageId=1532
Severity=Error
Facility=PSL
SymbolicName=PSL_EXTITMERR
Language=English
EXTITMERR,Error extracting !AS from !AS
.

MessageId=1533
Severity=Error
Facility=PSL
SymbolicName=PSL_GENITMERR
Language=English
GENITMERR,Error generating !AS from !AS
.

MessageId=1534
Severity=Error
Facility=PSL
SymbolicName=PSL_REPITMERR
Language=English
REPITMERR,Error replacing !AS in !AS
.

MessageId=1535
Severity=Error
Facility=PSL
SymbolicName=PSL_BADITMVER
Language=English
BADITMVER,Item has an invalid version number
.

MessageId=1537
Severity=Error
Facility=PSL
SymbolicName=PSL_INVPRDCOD
Language=English
INVPRDCOD,Invalid Product Code
.

MessageId=1538
Severity=Error
Facility=PSL
SymbolicName=PSL_INVPRDNAM
Language=English
INVPRDNAM,Invalid Product Name
.

MessageId=1539
Severity=Error
Facility=PSL
SymbolicName=PSL_RECNOTFOU
Language=English
RECNOTFOU,Record not Found
.

MessageId=1540
Severity=Error
Facility=PSL
SymbolicName=PSL_MONITORERR
Language=English
MONITORERR,Failed to Monitor terminal !AS
.

MessageId=1541
Severity=Error
Facility=PSL
SymbolicName=PSL_RECORDERR
Language=English
RECORDERR,Failed to Record terminal !AS
.

MessageId=1542
Severity=Error
Facility=PSL
SymbolicName=PSL_STOPRECERR
Language=English
STOPRECERR,Failed to stop recording !AS
.

MessageId=1543
Severity=Error
Facility=PSL
SymbolicName=PSL_SUSPRECERR
Language=English
SUSPRECERR,Failed to suspend recording terminal !AS
.

MessageId=1544
Severity=Error
Facility=PSL
SymbolicName=PSL_RESRECERR
Language=English
RESRECERR,Failed to resume recording terminal !AS
.

MessageId=1545
Severity=Error
Facility=PSL
SymbolicName=PSL_INVLISTCTX
Language=English
INVLISTCTX,Invalid Listing Context Value
.

MessageId=1546
Severity=Error
Facility=PSL
SymbolicName=PSL_FILNOTFOU
Language=English
FILNOTFOU,File not Found
.

MessageId=1547
Severity=Error
Facility=PSL
SymbolicName=PSL_ENDOFFILE
Language=English
ENDOFFILE,End of File
.

MessageId=1548
Severity=Error
Facility=PSL
SymbolicName=PSL_UNIXERR
Language=English
UNIXERR,!AS
.

MessageId=1549
Severity=Error
Facility=PSL
SymbolicName=PSL_STDCERR
Language=English
STDCERR,!AS
.

MessageId=1550
Severity=Error
Facility=PSL
SymbolicName=PSL_FILEERR
Language=English
FILEERR,'!AS'
.

MessageId=1551
Severity=Error
Facility=PSL
SymbolicName=PSL_CTMERR
Language=English
CTMERR,'!AS'
.

MessageId=1552
Severity=Error
Facility=PSL
SymbolicName=PSL_MODITMERR
Language=English
MODITMERR,Error modifying !AS in !AS
.

MessageId=1553
Severity=Error
Facility=PSL
SymbolicName=PSL_CNFCHRVAL
Language=English
CNFCHRVAL,Conflicting Command and Control Character Values
.

MessageId=1554
Severity=Error
Facility=PSL
SymbolicName=PSL_CODOUTRANGE
Language=English
CODOUTRANGE,Hexadecimal Character Code Out of Range. Valid range zero to FF
.

MessageId=1555
Severity=Error
Facility=PSL
SymbolicName=PSL_INVCHRCMND
Language=English
INVCHRCMND,Invalid Character Command
.

MessageId=1556
Severity=Error
Facility=PSL
SymbolicName=PSL_INVCHRINSTR
Language=English
INVCHRINSTR,Invalid Character in String
.

MessageId=1557
Severity=Error
Facility=PSL
SymbolicName=PSL_INVCHRTER
Language=English
INVCHRTER,Invalid Character Command Terminator
.

MessageId=1558
Severity=Error
Facility=PSL
SymbolicName=PSL_INVCTRLSPEC
Language=English
INVCTRLSPEC,Invalid Control Character Specifier
.

MessageId=1559
Severity=Error
Facility=PSL
SymbolicName=PSL_INVCYCVAL
Language=English
INVCYCVAL,Invalid Cycle Value Specified
.

MessageId=1560
Severity=Error
Facility=PSL
SymbolicName=PSL_INVFKEY
Language=English
INVFKEY,Invalid Function Key Definition
.

MessageId=1561
Severity=Error
Facility=PSL
SymbolicName=PSL_INVFKEYTER
Language=English
INVFKEYTER,Invalid Function Key Terminator
.

MessageId=1562
Severity=Error
Facility=PSL
SymbolicName=PSL_INVINTERVAL
Language=English
INVINTERVAL,Invalid Interval Value specified - Range is 1 to 3600
.

MessageId=1563
Severity=Error
Facility=PSL
SymbolicName=PSL_INVOPT
Language=English
INVOPT,Invalid Option
.

MessageId=1564
Severity=Error
Facility=PSL
SymbolicName=PSL_MISOPT
Language=English
MISOPT,Missing Option
.

MessageId=1565
Severity=Error
Facility=PSL
SymbolicName=PSL_BADWIDTH
Language=English
BADWIDTH,Invalid Width Value
.

MessageId=1566
Severity=Error
Facility=PSL
SymbolicName=PSL_NOELIGTERMS
Language=English
NOELIGTERMS,No eligible terminals match the selection criteria
.

MessageId=1567
Severity=Error
Facility=PSL
SymbolicName=PSL_BADCOND
Language=English
BADCOND,Invalid conditional compilation structure on line !UL of !AS
.

MessageId=1568
Severity=Error
Facility=PSL
SymbolicName=PSL_BADINCNAME
Language=English
BADINCNAME,Invalid Include filename on line !UL of !AS
.

MessageId=1569
Severity=Error
Facility=PSL
SymbolicName=PSL_EXCONDDEPTH
Language=English
EXCONDDEPTH,Exceeded allowed depth of conditional compilation nesting on line !UL of !AS
.

MessageId=1570
Severity=Error
Facility=PSL
SymbolicName=PSL_EXINCDEPTH
Language=English
EXINCDEPTH,Exceeded allowed depth of INCLUDE nesting on line !UL of !AS
.

MessageId=1571
Severity=Error
Facility=PSL
SymbolicName=PSL_MISCONDEND
Language=English
MISCONDEND,!UL missing #ENDIF directive!%%S in !AS
.

MessageId=1572
Severity=Error
Facility=PSL
SymbolicName=PSL_DESCRTOOLONG
Language=English
DESCRTOOLONG,Description too long
.

MessageId=1573
Severity=Error
Facility=PSL
SymbolicName=PSL_DEVNOTINUSE
Language=English
DEVNOTINUSE,Device !AS not in use
.

MessageId=1574
Severity=Error
Facility=PSL
SymbolicName=PSL_USERNOTFOU
Language=English
USERNOTFOU,Username !AS not found on node !AS
.

MessageId=1575
Severity=Error
Facility=PSL
SymbolicName=PSL_CNFDUPOPT
Language=English
CNFDUPOPT,Conflicting or Duplicate Option
.

MessageId=1576
Severity=Error
Facility=PSL
SymbolicName=PSL_BADDESCR
Language=English
BADDESCR,Invalid Description
.

MessageId=1577
Severity=Error
Facility=PSL
SymbolicName=PSL_READLNKERR
Language=English
READLNKERR,Failed to read from Link to Port !AS on Node !AS
.

MessageId=1578
Severity=Error
Facility=PSL
SymbolicName=PSL_WRITELNKERR
Language=English
WRITELNKERR,Failed to Write to Link to Port !AS on Node !AS
.

MessageId=1579
Severity=Error
Facility=PSL
SymbolicName=PSL_LNKREJECTED
Language=English
LNKREJECTED,Link Connection Rejected by the Remote Port
.

MessageId=1580
Severity=Error
Facility=PSL
SymbolicName=PSL_SDBINVALID
Language=English
SDBINVALID,Security database is invalid - possible security breach
.

MessageId=1581
Severity=Error
Facility=PSL
SymbolicName=PSL_TRMTOOSMALL
Language=English
TRMTOOSMALL,Terminal is too small to display utility
.

MessageId=1582
Severity=Error
Facility=PSL
SymbolicName=PSL_USERERROR
Language=English
USERERROR,!AS
.

MessageId=1583
Severity=Error
Facility=PSL
SymbolicName=PSL_BADERRMSG
Language=English
BADERRMSG,Invalid error message on line !UL of !AS
.

MessageId=1584
Severity=Error
Facility=PSL
SymbolicName=PSL_STRNOTCTRL
Language=English
STRNOTCTRL,Stream is not the controlling terminal
.

MessageId=2001
Severity=Error
Facility=PSL
SymbolicName=PSL_BADLIBVER
Language=English
BADLIBVER,Library Requires conversion
.

MessageId=2002
Severity=Error
Facility=PSL
SymbolicName=PSL_BADUTLVER
Language=English
BADUTLVER,Utility of lower release number than Library file
.

MessageId=2003
Severity=Error
Facility=PSL
SymbolicName=PSL_INVFILFMT
Language=English
INVFILFMT,Invalid File Format
.

MessageId=2004
Severity=Error
Facility=PSL
SymbolicName=PSL_ENDABORT
Language=English
ENDABORT,!AS Compilation Aborted
.

MessageId=2005
Severity=Error
Facility=PSL
SymbolicName=PSL_EXISTS
Language=English
EXISTS,!AS Already Exists
.

MessageId=2006
Severity=Error
Facility=PSL
SymbolicName=PSL_SYNTAX
Language=English
SYNTAX,Error Parsing '!AS'
.

MessageId=2007
Severity=Error
Facility=PSL
SymbolicName=PSL_FILNOTDEL
Language=English
FILNOTDEL,Error Deleting !AS
.

MessageId=2008
Severity=Error
Facility=PSL
SymbolicName=PSL_EXCSEL
Language=English
EXCSEL,Too many select options specified
.

MessageId=2009
Severity=Error
Facility=PSL
SymbolicName=PSL_OPENIN
Language=English
OPENIN,Error Opening !AS as Input
.

MessageId=2010
Severity=Error
Facility=PSL
SymbolicName=PSL_OPENOUT
Language=English
OPENOUT,Error Opening !AS as Output
.

MessageId=2011
Severity=Error
Facility=PSL
SymbolicName=PSL_OPENAPP
Language=English
OPENAPP,Error Opening !AS for Append
.

MessageId=2012
Severity=Error
Facility=PSL
SymbolicName=PSL_READERR
Language=English
READERR,Error Reading !AS
.

MessageId=2013
Severity=Error
Facility=PSL
SymbolicName=PSL_READBLKERR
Language=English
READBLKERR,Error Reading !AS, Block Number !SL
.

MessageId=2014
Severity=Error
Facility=PSL
SymbolicName=PSL_READIDXERR
Language=English
READIDXERR,Error Reading !AS, Key !AS
.

MessageId=2015
Severity=Error
Facility=PSL
SymbolicName=PSL_READRELERR
Language=English
READRELERR,Error Reading !AS, Record Number !SL
.

MessageId=2016
Severity=Error
Facility=PSL
SymbolicName=PSL_WRITEERR
Language=English
WRITEERR,Error Writing !AS
.

MessageId=2017
Severity=Error
Facility=PSL
SymbolicName=PSL_WRITEBLKERR
Language=English
WRITEBLKERR,Error Writing !AS, Block Number !SL
.

MessageId=2018
Severity=Error
Facility=PSL
SymbolicName=PSL_WRITEIDXERR
Language=English
WRITEIDXERR,Error Writing !AS, Key !AS
.

MessageId=2019
Severity=Error
Facility=PSL
SymbolicName=PSL_WRITERELERR
Language=English
WRITERELERR,Error Writing !AS, Record Number !SL
.

MessageId=2020
Severity=Error
Facility=PSL
SymbolicName=PSL_UPDATEERR
Language=English
UPDATEERR,Error Updating !AS
.

MessageId=2021
Severity=Error
Facility=PSL
SymbolicName=PSL_UPDATEIDXERR
Language=English
UPDATEIDXERR,Error Updating !AS, Key !AS
.

MessageId=2022
Severity=Error
Facility=PSL
SymbolicName=PSL_DELETEERR
Language=English
DELETEERR,Error Deleting Record from !AS
.

MessageId=2023
Severity=Error
Facility=PSL
SymbolicName=PSL_DELRELERR
Language=English
DELRELERR,Error Deleting from !AS, Record Number !SL
.

MessageId=2024
Severity=Error
Facility=PSL
SymbolicName=PSL_REWINDERR
Language=English
REWINDERR,Error rewinding !AS
.

MessageId=2025
Severity=Error
Facility=PSL
SymbolicName=PSL_SYSERVERR
Language=English
SYSERVERR,Unexpected Status Returned from !AS
.

MessageId=2026
Severity=Error
Facility=PSL
SymbolicName=PSL_BADTYPE
Language=English
BADTYPE,Invalid Terminal Type Specified
.

MessageId=2027
Severity=Error
Facility=PSL
SymbolicName=PSL_BADTRMFNC
Language=English
BADTRMFNC,Invalid Terminal Function Specified
.

MessageId=2028
Severity=Error
Facility=PSL
SymbolicName=PSL_LIB_LOCKED
Language=English
LIB_LOCKED,Library !AS locked against shared access
.

MessageId=2029
Severity=Error
Facility=PSL
SymbolicName=PSL_LIB_NOLOCK
Language=English
LIB_NOLOCK,Cannot get exclusive access to Library !AS
.

MessageId=2030
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDATTERR
Language=English
CDDATTERR,Error Attaching to CDD
.

MessageId=2031
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDREADERR
Language=English
CDDREADERR,Error Reading !AS from CDD
.

MessageId=2032
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDUPDATEERR
Language=English
CDDUPDATEERR,Error Updating !AS in CDD
.

MessageId=2033
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDWRITEERR
Language=English
CDDWRITEERR,Error Writing !AS to CDD
.

MessageId=2034
Severity=Error
Facility=PSL
SymbolicName=PSL_CDDDELETEERR
Language=English
CDDDELETEERR,Error Deleting !AS from CDD
.

MessageId=2035
Severity=Error
Facility=PSL
SymbolicName=PSL_BADRECFMT
Language=English
BADRECFMT,Unrecognised Record Format
.

MessageId=2036
Severity=Error
Facility=PSL
SymbolicName=PSL_NOROOM
Language=English
NOROOM,No Room in Bit Mask for Specified Area
.

MessageId=2037
Severity=Error
Facility=PSL
SymbolicName=PSL_BM_FULL
Language=English
BM_FULL,No room in bit map for !AS !AS
.

MessageId=2038
Severity=Error
Facility=PSL
SymbolicName=PSL_IVATIME
Language=English
IVATIME,Invalid Absolute Time - use DD-MMM-YYYY:HH:MM:SS.CC format!/ \\!AS\\
.

MessageId=2039
Severity=Error
Facility=PSL
SymbolicName=PSL_NUMTOOBIG
Language=English
NUMTOOBIG,Number Too Big for User Buffer
.

MessageId=2040
Severity=Error
Facility=PSL
SymbolicName=PSL_BADRADIX
Language=English
BADRADIX,Invalid Radix Specified
.

MessageId=2041
Severity=Error
Facility=PSL
SymbolicName=PSL_NOTCRE
Language=English
NOTCRE,Library !AS invalid.!/Produced by incomplete !AS operation
.

MessageId=2042
Severity=Error
Facility=PSL
SymbolicName=PSL_NOLICENCE
Language=English
NOLICENCE,Your temporary licence to use this product has expired.!/Please contact your distributor to obtain a renewal.
.

MessageId=2043
Severity=Error
Facility=PSL
SymbolicName=PSL_ITM_SMALL
Language=English
ITM_SMALL,!AS parameter !UL too small - at least !UL required
.

MessageId=2044
Severity=Error
Facility=PSL
SymbolicName=PSL_INV_ITM
Language=English
INV_ITM,!AS parameter value !AS is out of range
.

MessageId=2045
Severity=Error
Facility=PSL
SymbolicName=PSL_IDX_FULL
Language=English
IDX_FULL,No room in index for !AS !AS
.

MessageId=2046
Severity=Error
Facility=PSL
SymbolicName=PSL_BLOCK_SMALL
Language=English
BLOCK_SMALL,BLOCKS parameter !UL too small - at least !UL required
.

MessageId=2047
Severity=Error
Facility=PSL
SymbolicName=PSL_INV_BLK
Language=English
INV_BLK,BLOCKS parameter value !AS is out of range
.

MessageId=2048
Severity=Error
Facility=PSL
SymbolicName=PSL_EXCSRC
Language=English
EXCSRC,Too many source options specified
.

MessageId=2049
Severity=Error
Facility=PSL
SymbolicName=PSL_BADPARAM
Language=English
BADPARAM,Bad Parameter Value
.

MessageId=2050
Severity=Error
Facility=PSL
SymbolicName=PSL_INVPROTMASK
Language=English
INVPROTMASK,Invalid Protection Mask Specified
.

MessageId=2051
Severity=Error
Facility=PSL
SymbolicName=PSL_TIMEOUT
Language=English
TIMEOUT,Device Timeout
.

MessageId=2052
Severity=Error
Facility=PSL
SymbolicName=PSL_INSVIRMEM
Language=English
INSVIRMEM,Insufficient Virtual Memory
.

MessageId=2053
Severity=Error
Facility=PSL
SymbolicName=PSL_ILLNOPARAMS
Language=English
ILLNOPARAMS,Illegal Number of Parameters
.

MessageId=2054
Severity=Error
Facility=PSL
SymbolicName=PSL_NOACCESS
Language=English
NOACCESS,Required access not granted
.

MessageId=2055
Severity=Error
Facility=PSL
SymbolicName=PSL_EXPIRED
Language=English
EXPIRED,Your rental agreement expired on !AS
.

MessageId=2056
Severity=Error
Facility=PSL
SymbolicName=PSL_NOOPTLIC
Language=English
NOOPTLIC,You are not licensed to use this option
.

MessageId=2057
Severity=Error
Facility=PSL
SymbolicName=PSL_NOMCHLIC
Language=English
NOMCHLIC,You are not licensed to run on this machine
.

MessageId=2058
Severity=Error
Facility=PSL
SymbolicName=PSL_NODEVLIC
Language=English
NODEVLIC,Development terminal licence count exceeded
.

MessageId=2059
Severity=Error
Facility=PSL
SymbolicName=PSL_EXCTRMLIC
Language=English
EXCTRMLIC,Licenced terminal count exceeded.!/Please contact your distributor.
.

MessageId=2060
Severity=Error
Facility=PSL
SymbolicName=PSL_INVSERIAL
Language=English
INVSERIAL,Invalid Serial Number - Format !AS
.

MessageId=2061
Severity=Error
Facility=PSL
SymbolicName=PSL_VRFNOPLAYBACK
Language=English
VRFNOPLAYBACK,Recording file !AS may not be Played back
.

MessageId=2062
Severity=Error
Facility=PSL
SymbolicName=PSL_VRFNOLIST
Language=English
VRFNOLIST,Recording file !AS may not be Listed
.

MessageId=2063
Severity=Error
Facility=PSL
SymbolicName=PSL_VRFNOOUTDATA
Language=English
VRFNOOUTDATA,No output data
.

MessageId=2064
Severity=Error
Facility=PSL
SymbolicName=PSL_PSLINSTPRG
Language=English
PSLINSTPRG,CYRANO installation in progress
.

MessageId=2065
Severity=Error
Facility=PSL
SymbolicName=PSL_FDRINTERR
Language=English
FDRINTERR,!AS
.

MessageId=2066
Severity=Error
Facility=PSL
SymbolicName=PSL_INSVRFDATA
Language=English
INSVRFDATA,Insufficient Data in Specified Recording File(s)
.

MessageId=2067
Severity=Error
Facility=PSL
SymbolicName=PSL_NOTVAXIMG
Language=English
NOTVAXIMG,Image is not an OpenVMS VAX image
.

MessageId=2068
Severity=Error
Facility=PSL
SymbolicName=PSL_NOTAXPIMG
Language=English
NOTAXPIMG,Image is not an OpenVMS Alpha image
.

MessageId=2069
Severity=Error
Facility=PSL
SymbolicName=PSL_NOTDECCRT
Language=English
NOTDECCRT,Device requires DEC_CRT capability for this operation
.

MessageId=2070
Severity=Error
Facility=PSL
SymbolicName=PSL_INVPLATFORM
Language=English
INVPLATFORM,Security database !AS not created on !AS platform
.

MessageId=2071
Severity=Error
Facility=PSL
SymbolicName=PSL_CURSES
Language=English
CURSES,Curses routine error
.

MessageId=2072
Severity=Error
Facility=PSL
SymbolicName=PSL_FACNOEXISTS
Language=English
FACNOEXISTS,Facility does not exists
.

MessageId=2073
Severity=Error
Facility=PSL
SymbolicName=PSL_NOTRANENV
Language=English
NOTRANENV,No translation for environment variable !AS
.

MessageId=2074
Severity=Error
Facility=PSL
SymbolicName=PSL_SIGTERMPRC
Language=English
SIGTERMPRC,Process terminated by signal !L
.

MessageId=2075
Severity=Error
Facility=PSL
SymbolicName=PSL_LSTOPENOUT
Language=English
LSTOPENOUT,!AS
.

MessageId=2076
Severity=Error
Facility=PSL
SymbolicName=PSL_LSTCLOSEOUT
Language=English
LSTCLOSEOUT,!AS
.

MessageId=2077
Severity=Error
Facility=PSL
SymbolicName=PSL_LSTWRITEERR
Language=English
LSTWRITEERR,!AS
.

MessageId=2078
Severity=Error
Facility=PSL
SymbolicName=PSL_CLDTABCORRUPT
Language=English
CLDTABCORRUPT,CLD Table Corruption detected in !AS
.

MessageId=2079
Severity=Error
Facility=PSL
SymbolicName=PSL_NOTRMTYP
Language=English
NOTRMTYP,Recording !AS created with unknown terminal type
.

MessageId=2080
Severity=Error
Facility=PSL
SymbolicName=PSL_NOPRIV
Language=English
NOPRIV,No privilege for attempted operation
.

MessageId=2081
Severity=Error
Facility=PSL
SymbolicName=PSL_NOPSUSER
Language=English
NOPSUSER,Error accessing PS File !AS
.

MessageId=2082
Severity=Error
Facility=PSL
SymbolicName=PSL_INVDATIM
Language=English
INVDATIM,Specified end date/time before start date/time
.

MessageId=2083
Severity=Error
Facility=PSL
SymbolicName=PSL_MISSFNKEYDEF
Language=English
MISSFNKEYDEF,No function key definition for !AS
.

MessageId=2084
Severity=Error
Facility=PSL
SymbolicName=PSL_MISSTRM
Language=English
MISSTRM,No terminal entry in terminfo database for !AS
.

MessageId=2085
Severity=Error
Facility=PSL
SymbolicName=PSL_ABORT
Language=English
ABORT,Aborted
.

MessageId=2086
Severity=Error
Facility=PSL
SymbolicName=PSL_BADVALUE
Language=English
BADVALUE,Invalid !AS Value
.

MessageId=2087
Severity=Error
Facility=PSL
SymbolicName=PSL_EXCEPTION
Language=English
EXCEPTION,Fatal Exception Error Occurred
.

MessageId=2088
Severity=Error
Facility=PSL
SymbolicName=PSL_NORECSEL
Language=English
NORECSEL,No Records Satisfy Specified Selection
.

MessageId=2089
Severity=Error
Facility=PSL
SymbolicName=PSL_NOTRECORDING
Language=English
NOTRECORDING,Device not being recorded
.

MessageId=2090
Severity=Error
Facility=PSL
SymbolicName=PSL_RECNOTYOURS
Language=English
RECNOTYOURS,Recording not started by current user
.

MessageId=2091
Severity=Error
Facility=PSL
SymbolicName=PSL_SELEXCMAX
Language=English
SELEXCMAX,Selection of !AS exceeded - Maximum !UL
.

MessageId=2092
Severity=Error
Facility=PSL
SymbolicName=PSL_BADDATIM
Language=English
BADDATIM,!AS Date/Time is !AS !AS Date/Time
.

MessageId=2093
Severity=Error
Facility=PSL
SymbolicName=PSL_BMFULL
Language=English
BMFULL,No room in bit map - Library compression recommended
.

MessageId=2094
Severity=Error
Facility=PSL
SymbolicName=PSL_IDXFULL
Language=English
IDXFULL,No room in index - Library compression recommended
.

MessageId=2095
Severity=Error
Facility=PSL
SymbolicName=PSL_RENAMEERR
Language=English
RENAMEERR,Error Renaming !AS
.

MessageId=2096
Severity=Error
Facility=PSL
SymbolicName=PSL_NOROOMSTR
Language=English
NOROOMSTR,No Room in master string for replacement string
.

MessageId=2097
Severity=Error
Facility=PSL
SymbolicName=PSL_NOSCDDEF
Language=English
NOSCDDEF,File does not contain defaults information
.

MessageId=2098
Severity=Error
Facility=PSL
SymbolicName=PSL_MULALLOCBLK
Language=English
MULALLOCBLK,Multiply allocated blocks detected
.

MessageId=2099
Severity=Error
Facility=PSL
SymbolicName=PSL_INVINDEX
Language=English
INVINDEX,Invalid index entry detected
.

MessageId=2100
Severity=Error
Facility=PSL
SymbolicName=PSL_UNEXPMSG
Language=English
UNEXPMSG,Unexpected Message Number !UB received, Expecting !AS
.

MessageId=2101
Severity=Error
Facility=PSL
SymbolicName=PSL_BEFORESINCE
Language=English
BEFORESINCE,Since Time After Before Time
.

MessageId=2102
Severity=Error
Facility=PSL
SymbolicName=PSL_NODPID
Language=English
NODPID,The data path intercept daemon (dpid) is not running
.

MessageId=2103
Severity=Error
Facility=PSL
SymbolicName=PSL_NOCONDAT
Language=English
NOCONDAT,No consolidated data
.

MessageId=2104
Severity=Error
Facility=PSL
SymbolicName=PSL_STRNULQP
Language=English
STRNULQP,NULL STREAMS internal pointer
.

MessageId=32767
Severity=Success
Facility=PSL
Language=English
PSL
.

;// 
;// FACILITY VTEST
;// 
MessageId=1001
Severity=Warning
Facility=VTEST
SymbolicName=VTEST_TRUNCATED
Language=English
TRUNCATED,Script Name Truncated to !AS
.

MessageId=1501
Severity=Error
Facility=VTEST
SymbolicName=VTEST_MAXTESTNEST
Language=English
MAXTESTNEST,Test Definition Maximum Nesting Depth Exceeded
.

MessageId=1502
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVNOPARAM
Language=English
INVNOPARAM,Invalid Number of Parameters
.

MessageId=1503
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVSUBVAL
Language=English
INVSUBVAL,Invalid Array Subscript Value
.

MessageId=1504
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVVARIANT
Language=English
INVVARIANT,Invalid Variant - Must be a OpenSTA Dataname
.

MessageId=1505
Severity=Error
Facility=VTEST
SymbolicName=VTEST_NOREPLYLNK
Language=English
NOREPLYLNK,Reply not received from link within the timeout period - Link now Closed
.

MessageId=1506
Severity=Error
Facility=VTEST
SymbolicName=VTEST_DTCLINKFAIL
Language=English
DTCLINKFAIL,Communications Link Failure
.

MessageId=1507
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVNUMARGS
Language=English
INVNUMARGS,Invalid number of FORMAT arguments
.

MessageId=1508
Severity=Error
Facility=VTEST
SymbolicName=VTEST_PROMPTTOOLONG
Language=English
PROMPTTOOLONG,Prompt too long
.

MessageId=1509
Severity=Error
Facility=VTEST
SymbolicName=VTEST_BADLNODE
Language=English
BADLNODE,Invalid Logical Node Name
.

MessageId=1510
Severity=Error
Facility=VTEST
SymbolicName=VTEST_ERRACCSCP
Language=English
ERRACCSCP,Error accessing Script !AS
.

MessageId=1511
Severity=Error
Facility=VTEST
SymbolicName=VTEST_ERRACCTST
Language=English
ERRACCTST,Error accessing Test !AS
.

MessageId=1512
Severity=Error
Facility=VTEST
SymbolicName=VTEST_NOSUCHDEV
Language=English
NOSUCHDEV,No Such Device Exists
.

MessageId=1513
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVPIPERD
Language=English
INVPIPERD,Read Operation Invalid, Pipe !AS Open for Write Access
.

MessageId=1514
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVPIPEWR
Language=English
INVPIPEWR,Write Operation Invalid, Pipe !AS Open for Read Access
.

MessageId=1515
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVPIPERP
Language=English
INVPIPERP,Reply Operation Invalid, Pipe !AS Open for Write Access
.

MessageId=1516
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVPIPEDEL
Language=English
INVPIPEDEL,Delete Operation Invalid, Pipe !AS not Closed
.

MessageId=1517
Severity=Error
Facility=VTEST
SymbolicName=VTEST_PIPEOPNMIS
Language=English
PIPEOPNMIS,Attempt to Open Pipe !AS with Mismatched Type
.

MessageId=1518
Severity=Error
Facility=VTEST
SymbolicName=VTEST_PIPEREQREP
Language=English
PIPEREQREP,Operation Invalid, Pipe !AS Expects a Reply
.

MessageId=1519
Severity=Error
Facility=VTEST
SymbolicName=VTEST_PIPENRQREP
Language=English
PIPENRQREP,Operation Invalid, Pipe !AS Does Not Expect a Reply
.

MessageId=1520
Severity=Error
Facility=VTEST
SymbolicName=VTEST_PIPEINTOPN
Language=English
PIPEINTOPN,Operation Invalid, Pipe Not Open
.

MessageId=1521
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVPIPNAM
Language=English
INVPIPNAM,Invalid Pipe Name - Must be a OpenSTA Dataname
.

MessageId=1522
Severity=Error
Facility=VTEST
SymbolicName=VTEST_ERRESTABCOM
Language=English
ERRESTABCOM,Error establishing a communications link to port !AS on node !AS
.

MessageId=1523
Severity=Error
Facility=VTEST
SymbolicName=VTEST_READEXERR
Language=English
READEXERR,Error Reading a Message from the Test Server/Executer
.

MessageId=1524
Severity=Error
Facility=VTEST
SymbolicName=VTEST_WRITEXERR
Language=English
WRITEXERR,Error Writing a Message to the Test Server/Executer
.

MessageId=1525
Severity=Error
Facility=VTEST
SymbolicName=VTEST_PLATSPECCOD
Language=English
PLATSPECCOD,Script/Test compiled with platform specific code not valid for execution platform
.

MessageId=1526
Severity=Error
Facility=VTEST
SymbolicName=VTEST_OPSYSPECCOD
Language=English
OPSYSPECCOD,Script/Test compiled with operating system specific code not valid for execution operating system
.

MessageId=1527
Severity=Error
Facility=VTEST
SymbolicName=VTEST_DMNREADERR
Language=English
DMNREADERR,Error Reading a Message from the CYRANO Test Daemon on Node !AS
.

MessageId=1528
Severity=Error
Facility=VTEST
SymbolicName=VTEST_DMNWRTERR
Language=English
DMNWRTERR,Error Writing a Message to the CYRANO Test Daemon on Node !AS
.

MessageId=1529
Severity=Error
Facility=VTEST
SymbolicName=VTEST_PIPENOTEXIST
Language=English
PIPENOTEXIST,Operation Invalid, Pipe !AS Does Not Exist
.

MessageId=1530
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVSEMNAM
Language=English
INVSEMNAM,Invalid Semaphore Name - Must be a OpenSTA Dataname
.

MessageId=1531
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVMUTNAM
Language=English
INVMUTNAM,Invalid Mutex Name - Must be a OpenSTA Dataname
.

MessageId=2001
Severity=Error
Facility=VTEST
SymbolicName=VTEST_BADCHRVAL
Language=English
BADCHRVAL,Bad Command/Control Character Value
.

MessageId=2002
Severity=Error
Facility=VTEST
SymbolicName=VTEST_EXCLICLIM
Language=English
EXCLICLIM,Exceeded CYRANO Test Licence Limits
.

MessageId=2003
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVSCRNAM
Language=English
INVSCRNAM,Invalid Script Name - Must be a OpenSTA Dataname
.

MessageId=2004
Severity=Error
Facility=VTEST
SymbolicName=VTEST_SCRNAMTOOLONG
Language=English
SCRNAMTOOLONG,Script Name Too Long
.

MessageId=2005
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INPOUTRANGE
Language=English
INPOUTRANGE,Input Rate Out of Range
.

MessageId=2006
Severity=Error
Facility=VTEST
SymbolicName=VTEST_MAXFILE
Language=English
MAXFILE,Maximum Number of External Data Files Exceeded
.

MessageId=2007
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVVPSMOD
Language=English
INVVPSMOD,VP$SCREEN Line/column value out of range
.

MessageId=2008
Severity=Error
Facility=VTEST
SymbolicName=VTEST_LGRNOTACT
Language=English
LGRNOTACT,CYRANO Test Server !AS is not Active>
.

MessageId=2009
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVINPRATE
Language=English
INVINPRATE,Invalid Input Rate
.

MessageId=2010
Severity=Error
Facility=VTEST
SymbolicName=VTEST_RATEOUTRANGE
Language=English
RATEOUTRANGE,Input Rate Value Out of Range. Valid Range 0.1 to 99.9
.

MessageId=2011
Severity=Error
Facility=VTEST
SymbolicName=VTEST_ANSWERTOOLONG
Language=English
ANSWERTOOLONG,Answerback too long
.

MessageId=2012
Severity=Error
Facility=VTEST
SymbolicName=VTEST_MAXPIPE
Language=English
MAXPIPE,Maximum Number of Named Pipes Exceeded
.

MessageId=2013
Severity=Error
Facility=VTEST
SymbolicName=VTEST_REJECTLINK
Language=English
REJECTLINK,Communication Link Request Rejected by Remote Process
.

MessageId=2014
Severity=Error
Facility=VTEST
SymbolicName=VTEST_INVLOGNODE
Language=English
INVLOGNODE,Invalid Logical Node Name !AS Specified
.

MessageId=2015
Severity=Error
Facility=VTEST
SymbolicName=VTEST_DTCFACDIS
Language=English
DTCFACDIS,The Distributed Testing Facilities are Disabled
.

MessageId=2016
Severity=Error
Facility=VTEST
SymbolicName=VTEST_DMNLINKFAIL
Language=English
DMNLINKFAIL,Failed to Connect to the CYRANO Test Daemon on Node !AS
.

MessageId=2017
Severity=Error
Facility=VTEST
SymbolicName=VTEST_NOSUCHEXE
Language=English
NOSUCHEXE,No Such Test Executer Found
.

MessageId=2018
Severity=Error
Facility=VTEST
SymbolicName=VTEST_VPIPNOTINI
Language=English
VPIPNOTINI,VPIPE Routines Not Initialized
.

;// 
;// FACILITY SCL
;// 
MessageId=1001
Severity=Warning
Facility=SCL
SymbolicName=SCL_CMNDNOTEXEC
Language=English
CMNDNOTEXEC,Command following PASS/FAIL test-case may not be executed
.

MessageId=1002
Severity=Warning
Facility=SCL
SymbolicName=SCL_NOSQLSTART
Language=English
NOSQLSTART,SQL statement block has not been started at this point
.

MessageId=1501
Severity=Error
Facility=SCL
SymbolicName=SCL_DUPCMND
Language=English
DUPCMND,Duplicate Command
.

MessageId=1502
Severity=Error
Facility=SCL
SymbolicName=SCL_DUPCMNDCHR
Language=English
DUPCMNDCHR,Character Already Defined As The Command Character
.

MessageId=1503
Severity=Error
Facility=SCL
SymbolicName=SCL_DUPCTRLCHR
Language=English
DUPCTRLCHR,Character Already Defined As The Control Character
.

MessageId=1504
Severity=Error
Facility=SCL
SymbolicName=SCL_DUPDEF
Language=English
DUPDEF,Duplicate Definition - Name Already Used
.

MessageId=1505
Severity=Error
Facility=SCL
SymbolicName=SCL_DUPLAB
Language=English
DUPLAB,Label Already Defined
.

MessageId=1506
Severity=Error
Facility=SCL
SymbolicName=SCL_ENVMIS
Language=English
ENVMIS,Mandatory Environment Section Missing
.

MessageId=1507
Severity=Error
Facility=SCL
SymbolicName=SCL_INCCMND
Language=English
INCCMND,Incomplete Command
.

MessageId=1508
Severity=Error
Facility=SCL
SymbolicName=SCL_INTOUTRANGE
Language=English
INTOUTRANGE,Integer Value Out of Range. Valid Range -32768 to +32767
.

MessageId=1509
Severity=Error
Facility=SCL
SymbolicName=SCL_INVBASCMND
Language=English
INVBASCMND,Invalid Base Level Command
.

MessageId=1510
Severity=Error
Facility=SCL
SymbolicName=SCL_INVCHRVAL
Language=English
INVCHRVAL,Invalid Character Value
.

MessageId=1511
Severity=Error
Facility=SCL
SymbolicName=SCL_INVCMND
Language=English
INVCMND,Invalid Command
.

MessageId=1512
Severity=Error
Facility=SCL
SymbolicName=SCL_INVCMNDCHR
Language=English
INVCMNDCHR,Invalid Command/Control Character
.

MessageId=1513
Severity=Error
Facility=SCL
SymbolicName=SCL_INVDEF
Language=English
INVDEF,Invalid Definition
.

MessageId=1514
Severity=Error
Facility=SCL
SymbolicName=SCL_INVDEFCMND
Language=English
INVDEFCMND,Invalid Definition Section Command
.

MessageId=1515
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENVCMND
Language=English
INVENVCMND,Invalid Environment Section Command
.

MessageId=1516
Severity=Error
Facility=SCL
SymbolicName=SCL_INVFUNC
Language=English
INVFUNC,Invalid Use of Function
.

MessageId=1517
Severity=Error
Facility=SCL
SymbolicName=SCL_INVINTVAL
Language=English
INVINTVAL,Invalid Integer Value
.

MessageId=1518
Severity=Error
Facility=SCL
SymbolicName=SCL_INVLAB
Language=English
INVLAB,Invalid Label Definition
.

MessageId=1519
Severity=Error
Facility=SCL
SymbolicName=SCL_INVNAM
Language=English
INVNAM,Invalid Name
.

MessageId=1520
Severity=Error
Facility=SCL
SymbolicName=SCL_INVOPDTYP
Language=English
INVOPDTYP,Invalid Operand Type
.

MessageId=1521
Severity=Error
Facility=SCL
SymbolicName=SCL_INVPRM
Language=English
INVPRM,Invalid Parameter
.

MessageId=1522
Severity=Error
Facility=SCL
SymbolicName=SCL_INVPRMTYP
Language=English
INVPRMTYP,Invalid Parameter Type
.

MessageId=1523
Severity=Error
Facility=SCL
SymbolicName=SCL_INVRESP
Language=English
INVRESP,Invalid placement of RESPONSE TIMER command
.

MessageId=1524
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSTRUCT
Language=English
INVSTRUCT,Invalid IF, DO, SET or Conditional Expression Construct
.

MessageId=1525
Severity=Error
Facility=SCL
SymbolicName=SCL_INVVPOMOD
Language=English
INVVPOMOD,Invalid VP$OUTPUT Modifier
.

MessageId=1526
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXCMNDNEST
Language=English
MAXCMNDNEST,Maximum Command Nesting Level Exceeded
.

MessageId=1527
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXCONDNEST
Language=English
MAXCONDNEST,Maximum Condition Nesting Level Exceeded
.

MessageId=1528
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXGBL
Language=English
MAXGBL,Maximum Number of Thread, Global and Testwide Variables Exceeded
.

MessageId=1529
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXLAB
Language=English
MAXLAB,Maximum Number of Label Definitions Exceeded
.

MessageId=1531
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXSTRLEN
Language=English
MAXSTRLEN,Maximum String Length Limit Exceeded
.

MessageId=1532
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXTIM
Language=English
MAXTIM,Maximum Number of Timer Definitions Exceeded
.

MessageId=1533
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXVAR
Language=English
MAXVAR,Maximum Number of Variable Definitions Exceeded
.

MessageId=1534
Severity=Error
Facility=SCL
SymbolicName=SCL_MISEND
Language=English
MISEND,!SW Missing ENDDO and/or ENDIF Command(s)
.

MessageId=1535
Severity=Error
Facility=SCL
SymbolicName=SCL_MISSCRDSC
Language=English
MISSCRDSC,Mandatory Script Description Missing
.

MessageId=1537
Severity=Error
Facility=SCL
SymbolicName=SCL_MISVPOMOD
Language=English
MISVPOMOD,Missing VP$OUTPUT Modifier
.

MessageId=1538
Severity=Error
Facility=SCL
SymbolicName=SCL_MODOUTRANGE
Language=English
MODOUTRANGE,Character Modifier Out of Range. Valid Range 1 to 65535
.

MessageId=1539
Severity=Error
Facility=SCL
SymbolicName=SCL_NOECHONOTSUP
Language=English
NOECHONOTSUP,Non-echoed Input Has Not Been Supplied
.

MessageId=1540
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFLABEL
Language=English
UNDEFLABEL,Undefined Label !AS
.

MessageId=1541
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFTIM
Language=English
UNDEFTIM,Undefined Timer
.

MessageId=1542
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFVAR
Language=English
UNDEFVAR,Undefined Variable
.

MessageId=1543
Severity=Error
Facility=SCL
SymbolicName=SCL_VALOVERFLOW
Language=English
VALOVERFLOW,Value List Buffer Overflow
.

MessageId=1544
Severity=Error
Facility=SCL
SymbolicName=SCL_VALTOOLONG
Language=English
VALTOOLONG,Value Too Long
.

MessageId=1545
Severity=Error
Facility=SCL
SymbolicName=SCL_VPOOUTRANGE
Language=English
VPOOUTRANGE,VP$OUTPUT Modifier Out of Range. Valid Range 1 to 512
.

MessageId=1546
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXINCNEST
Language=English
MAXINCNEST,Maximum Include File Nesting Level Exceeded
.

MessageId=1547
Severity=Error
Facility=SCL
SymbolicName=SCL_DUPSUB
Language=English
DUPSUB,Subroutine Already Defined
.

MessageId=1548
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXSUB
Language=English
MAXSUB,Maximum Number of Subroutine Definitions Exceeded
.

MessageId=1549
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFSUB
Language=English
UNDEFSUB,Unmatched Definition or Undefined Subroutine !AS
.

MessageId=1550
Severity=Error
Facility=SCL
SymbolicName=SCL_MISENDSUB
Language=English
MISENDSUB,END SUBROUTINE clause missing
.

MessageId=1551
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENDSUB
Language=English
INVENDSUB,Invalid placement of END SUBROUTINE command
.

MessageId=1552
Severity=Error
Facility=SCL
SymbolicName=SCL_MUSTBESUB
Language=English
MUSTBESUB,END SUBROUTINE May Only be Followed by EXIT or SUBROUTINE
.

MessageId=1553
Severity=Error
Facility=SCL
SymbolicName=SCL_VPSLINOUTRANGE
Language=English
VPSLINOUTRANGE,VP$SCREEN Line Number Out of Range. Valid Range 24 to 255
.

MessageId=1554
Severity=Error
Facility=SCL
SymbolicName=SCL_VPSCOLOUTRANGE
Language=English
VPSCOLOUTRANGE,VP$SCREEN Column Number Out of Range. Valid Range 80 to 255
.

MessageId=1555
Severity=Error
Facility=SCL
SymbolicName=SCL_NOTSCREENMODE
Language=English
NOTSCREENMODE,VP$SCREEN Operands May Only Be Specified in Screen Mode
.

MessageId=1556
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXPRM
Language=English
MAXPRM,Maximum Number of Script Parameters Exceeded
.

MessageId=1557
Severity=Error
Facility=SCL
SymbolicName=SCL_MISOPRDEL
Language=English
MISOPRDEL,Missing Operator or Delimiter Symbol
.

MessageId=1559
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENTRYPOS
Language=English
INVENTRYPOS,Invalid placement of ENTRY command
.

MessageId=1560
Severity=Error
Facility=SCL
SymbolicName=SCL_INVRECSCOPE
Language=English
INVRECSCOPE,Invalid RECORD Scope does not match scope of record-name
.

MessageId=1561
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENDREC
Language=English
INVENDREC,Invalid placement of END RECORD statement - No Record Found
.

MessageId=1562
Severity=Error
Facility=SCL
SymbolicName=SCL_NORECNEST
Language=English
NORECNEST,Invalid placement of RECORD statement - Record Nesting not Permitted
.

MessageId=1563
Severity=Error
Facility=SCL
SymbolicName=SCL_MISENDREC
Language=English
MISENDREC,Missing END RECORD Statement
.

MessageId=1564
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFFIL
Language=English
UNDEFFIL,External Data File !AS Has no Corresponding OPEN
.

MessageId=1565
Severity=Error
Facility=SCL
SymbolicName=SCL_NOSETRDONLY
Language=English
NOSETRDONLY,Read-only Variable Cannot be Target of SET
.

MessageId=1566
Severity=Error
Facility=SCL
SymbolicName=SCL_RECTOOBIG
Language=English
RECTOOBIG,Records may not exceed 65535 characters in length
.

MessageId=1567
Severity=Error
Facility=SCL
SymbolicName=SCL_INVOUTRATE
Language=English
INVOUTRATE,Invalid Output Rate
.

MessageId=1568
Severity=Error
Facility=SCL
SymbolicName=SCL_INVRADIX
Language=English
INVRADIX,Radix Out of Range. Valid Range 2 to 36
.

MessageId=1569
Severity=Error
Facility=SCL
SymbolicName=SCL_NOTREPRND
Language=English
NOTREPRND,SEED clause may only be specified for Repeatable Random Variables
.

MessageId=1570
Severity=Error
Facility=SCL
SymbolicName=SCL_MISENDIF
Language=English
MISENDIF,!SW Missing IF/ENDIF Command(s)
.

MessageId=1571
Severity=Error
Facility=SCL
SymbolicName=SCL_MISENDDO
Language=English
MISENDDO,!SW Missing DO/ENDDO Command(s)
.

MessageId=1572
Severity=Error
Facility=SCL
SymbolicName=SCL_CMNDMODEINP
Language=English
CMNDMODEINP,Script input is not valid in a command mode script
.

MessageId=1573
Severity=Error
Facility=SCL
SymbolicName=SCL_FILPRMNOOPEN
Language=English
FILPRMNOOPEN,Files passed as parameters may not be opened
.

MessageId=1574
Severity=Error
Facility=SCL
SymbolicName=SCL_VALINVREC
Language=English
VALINVREC,Value lists are invalid within Records
.

MessageId=1575
Severity=Error
Facility=SCL
SymbolicName=SCL_CMNDMODE
Language=English
CMNDMODE,This command is not valid in a command mode script
.

MessageId=1576
Severity=Error
Facility=SCL
SymbolicName=SCL_INVCONDCMD
Language=English
INVCONDCMD,Invalid Conditional Compilation Command
.

MessageId=1577
Severity=Error
Facility=SCL
SymbolicName=SCL_INVCONDPLAC
Language=English
INVCONDPLAC,Invalid placement of a Condtional Compilation Command
.

MessageId=1578
Severity=Error
Facility=SCL
SymbolicName=SCL_INVNUMSUB
Language=English
INVNUMSUB,Number of Subscripts Specified Does Not Match Array Declaration
.

MessageId=1579
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSUBREF
Language=English
INVSUBREF,Invalid Subscripted Reference to a Non-array Variable
.

MessageId=1580
Severity=Error
Facility=SCL
SymbolicName=SCL_TOOMANYDIM
Language=English
TOOMANYDIM,Too many Array Dimensions Specified
.

MessageId=1581
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSUBVAL
Language=English
INVSUBVAL,Invalid Array Subscript Value
.

MessageId=1582
Severity=Error
Facility=SCL
SymbolicName=SCL_VALINVARY
Language=English
VALINVARY,Value lists are invalid for Array Variables
.

MessageId=1583
Severity=Error
Facility=SCL
SymbolicName=SCL_MISVARNAM
Language=English
MISVARNAM,Missing variable name
.

MessageId=1584
Severity=Error
Facility=SCL
SymbolicName=SCL_PIPPRMNOOPEN
Language=English
PIPPRMNOOPEN,Pipes passed as parameters may not be opened
.

MessageId=1585
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFPIPE
Language=English
UNDEFPIPE,Undefined Pipe
.

MessageId=1586
Severity=Error
Facility=SCL
SymbolicName=SCL_PIPENOTOPN
Language=English
PIPENOTOPN,Pipe !AS is Accessed but not Opened
.

MessageId=1587
Severity=Error
Facility=SCL
SymbolicName=SCL_MISPRET
Language=English
MISPRET,Mandatory RETURNING clause missing
.

MessageId=1588
Severity=Error
Facility=SCL
SymbolicName=SCL_BADASYNPIPE
Language=English
BADASYNPIPE,Operation Invalid for Asynchronous Pipe
.

MessageId=1589
Severity=Error
Facility=SCL
SymbolicName=SCL_MISENDSW
Language=English
MISENDSW,!SW Missing END SWITCH command(s)
.

MessageId=1590
Severity=Error
Facility=SCL
SymbolicName=SCL_INVCASE
Language=English
INVCASE,Invalid placement of CASE command
.

MessageId=1591
Severity=Error
Facility=SCL
SymbolicName=SCL_INVBREAK
Language=English
INVBREAK,Invalid placement of BREAK command
.

MessageId=1592
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENDSWITCH
Language=English
INVENDSWITCH,Invalid placement of END SWITCH command
.

MessageId=1593
Severity=Error
Facility=SCL
SymbolicName=SCL_INVDEFCASE
Language=English
INVDEFCASE,Invalid placement of DEFAULT_CASE command
.

MessageId=1594
Severity=Error
Facility=SCL
SymbolicName=SCL_TCNESTERR
Language=English
TCNESTERR,Test-cases cannot be nested
.

MessageId=1595
Severity=Error
Facility=SCL
SymbolicName=SCL_INVPASSTC
Language=English
INVPASSTC,Invalid placement of PASS TEST-CASE command
.

MessageId=1596
Severity=Error
Facility=SCL
SymbolicName=SCL_INVFAILTC
Language=English
INVFAILTC,Invalid placement of FAIL TEST-CASE command
.

MessageId=1597
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENDTC
Language=English
INVENDTC,Invalid placement of END TEST-CASE command
.

MessageId=1598
Severity=Error
Facility=SCL
SymbolicName=SCL_MISENDTC
Language=English
MISENDTC,Missing END TEST-CASE command
.

MessageId=1599
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSUBPRM
Language=English
INVSUBPRM,Number of subroutine parameters does not match previous call
.

MessageId=1600
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXSUBPRM
Language=English
MAXSUBPRM,Maximum number of subroutine parameters exceeded
.

MessageId=1601
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXSWNEST
Language=English
MAXSWNEST,Maximum nesting of SWITCH command
.

MessageId=1602
Severity=Error
Facility=SCL
SymbolicName=SCL_MUSTBEREC
Language=English
MUSTBEREC,Must be RECORD variable for COMMA-SEPARATED datafile
.

MessageId=1603
Severity=Error
Facility=SCL
SymbolicName=SCL_INVPRET
Language=English
INVPRET,Invalid use of RETURNING clause
.

MessageId=1604
Severity=Error
Facility=SCL
SymbolicName=SCL_HTTPMODE
Language=English
HTTPMODE,This command is only valid in an HTTP mode script
.

MessageId=1605
Severity=Error
Facility=SCL
SymbolicName=SCL_HTTPMODECNF
Language=English
HTTPMODECNF,HTTP mode cannot be used with CHARACTER-CELL mode or SCREEN mode
.

MessageId=1606
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSTARTSQL
Language=English
INVSTARTSQL,Invalid placement of START SQL command
.

MessageId=1607
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENDSQL
Language=English
INVENDSQL,Invalid placement of END SQL command
.

MessageId=1608
Severity=Error
Facility=SCL
SymbolicName=SCL_INVEXECSQL
Language=English
INVEXECSQL,Invalid placement of EXECUTE SQL command
.

MessageId=1609
Severity=Error
Facility=SCL
SymbolicName=SCL_INVDUPDEF
Language=English
INVDUPDEF,Inconsitant Duplicate Definition
.

MessageId=1610
Severity=Error
Facility=SCL
SymbolicName=SCL_INVRETURN
Language=English
INVRETURN,Invalid placement of RETURN outside a subroutine
.

MessageId=1611
Severity=Error
Facility=SCL
SymbolicName=SCL_CONINVREC
Language=English
CONINVREC,Constants are invalid within Records
.

MessageId=1612
Severity=Error
Facility=SCL
SymbolicName=SCL_INVMAPRECORD
Language=English
INVMAPRECORD,The Data Record Used in the MAP Command Must Start With a Character Variable of No More Than 64 Characters in Length
.

MessageId=1613
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSTARTTARGET
Language=English
INVSTARTTARGET,Invalid placement of START TARGET command
.

MessageId=1614
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENDTARGET
Language=English
INVENDTARGET,Invalid placement of END TARGET command
.

MessageId=1615
Severity=Error
Facility=SCL
SymbolicName=SCL_INVEXECTARGET
Language=English
INVEXECTARGET,Invalid placement of EXECUTE target command
.

MessageId=1616
Severity=Error
Facility=SCL
SymbolicName=SCL_TYPETEST
Language=English
TYPETEST,This command/statement is only valid in a script of type Test
.

MessageId=1617
Severity=Error
Facility=SCL
SymbolicName=SCL_BADANSWER
Language=English
BADANSWER,Invalid answerback
.

MessageId=1618
Severity=Error
Facility=SCL
SymbolicName=SCL_BADINETNAMADD
Language=English
BADINETNAMADD,Invalid internet name/address
.

MessageId=1619
Severity=Error
Facility=SCL
SymbolicName=SCL_BADNODE
Language=English
BADNODE,Invalid node name
.

MessageId=1620
Severity=Error
Facility=SCL
SymbolicName=SCL_BADPAGE
Language=English
BADPAGE,Invalid page size
.

MessageId=1621
Severity=Error
Facility=SCL
SymbolicName=SCL_BADPORT
Language=English
BADPORT,Invalid port number
.

MessageId=1622
Severity=Error
Facility=SCL
SymbolicName=SCL_INETTOOLONG
Language=English
INETTOOLONG,Internet name/address too long
.

MessageId=1623
Severity=Error
Facility=SCL
SymbolicName=SCL_NODETOOLONG
Language=English
NODETOOLONG,Node name too long
.

MessageId=1624
Severity=Error
Facility=SCL
SymbolicName=SCL_BADRECFIL
Language=English
BADRECFIL,Invalid recording file
.

MessageId=1625
Severity=Error
Facility=SCL
SymbolicName=SCL_BADSCRIPT
Language=English
BADSCRIPT,Invalid script name
.

MessageId=1626
Severity=Error
Facility=SCL
SymbolicName=SCL_BADSERVICE
Language=English
BADSERVICE,Invalid service name
.

MessageId=1627
Severity=Error
Facility=SCL
SymbolicName=SCL_BADTRMNAME
Language=English
BADTRMNAME,Invalid terminal name
.

MessageId=1628
Severity=Error
Facility=SCL
SymbolicName=SCL_BADTRMINF
Language=English
BADTRMINF,Invalid terminfo terminal name
.

MessageId=1629
Severity=Error
Facility=SCL
SymbolicName=SCL_BADTRCFIL
Language=English
BADTRCFIL,Invalid tracing file
.

MessageId=1630
Severity=Error
Facility=SCL
SymbolicName=SCL_BADUSERNAME
Language=English
BADUSERNAME,Invalid username
.

MessageId=1631
Severity=Error
Facility=SCL
SymbolicName=SCL_BADSCRWIDTH
Language=English
BADSCRWIDTH,Invalid screen width
.

MessageId=1632
Severity=Error
Facility=SCL
SymbolicName=SCL_BADSCRPRMVAL
Language=English
BADSCRPRMVAL,Invalid script parameter value
.

MessageId=1633
Severity=Error
Facility=SCL
SymbolicName=SCL_BADSCRPRMNAM
Language=English
BADSCRPRMNAM,Invalid script parameter name
.

MessageId=1634
Severity=Error
Facility=SCL
SymbolicName=SCL_THROPTCNF
Language=English
THROPTCNF,!AS and !AS conflict in Thread !AS!/in Test Script !AS
.

MessageId=1635
Severity=Error
Facility=SCL
SymbolicName=SCL_SCRPRMVALTOOLONG
Language=English
SCRPRMVALTOOLONG,Script parameter value too long
.

MessageId=1636
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXSCRPARAM
Language=English
MAXSCRPARAM,Maximum number of script parameters exceeded
.

MessageId=1637
Severity=Error
Facility=SCL
SymbolicName=SCL_PHYDEVTOOLONG
Language=English
PHYDEVTOOLONG,Physical device name too long
.

MessageId=1638
Severity=Error
Facility=SCL
SymbolicName=SCL_RECFILTOOLONG
Language=English
RECFILTOOLONG,Recording File too long
.

MessageId=1639
Severity=Error
Facility=SCL
SymbolicName=SCL_INVDEFOPT
Language=English
INVDEFOPT,Option not valid in $DEFAULT test definition
.

MessageId=1640
Severity=Error
Facility=SCL
SymbolicName=SCL_BADPARNAME
Language=English
BADPARNAME,Invalid parameter name
.

MessageId=1641
Severity=Error
Facility=SCL
SymbolicName=SCL_BADPHYDEV
Language=English
BADPHYDEV,Invalid physical device name
.

MessageId=1642
Severity=Error
Facility=SCL
SymbolicName=SCL_SERVTOOLONG
Language=English
SERVTOOLONG,Service name too long
.

MessageId=1643
Severity=Error
Facility=SCL
SymbolicName=SCL_TRMINFTOOLONG
Language=English
TRMINFTOOLONG,Terminfo name too long
.

MessageId=1644
Severity=Error
Facility=SCL
SymbolicName=SCL_TRCFILTOOLONG
Language=English
TRCFILTOOLONG,Trace file name too long
.

MessageId=1645
Severity=Error
Facility=SCL
SymbolicName=SCL_USRTOOLONG
Language=English
USRTOOLONG,Username too long
.

MessageId=1646
Severity=Error
Facility=SCL
SymbolicName=SCL_BADABRTTEST
Language=English
BADABRTTEST,Invalid abort test
.

MessageId=1647
Severity=Error
Facility=SCL
SymbolicName=SCL_BADCOMPTEST
Language=English
BADCOMPTEST,Invalid complete test
.

MessageId=1648
Severity=Error
Facility=SCL
SymbolicName=SCL_BADCONTRM
Language=English
BADCONTRM,Invalid concurrent terminals
.

MessageId=1649
Severity=Error
Facility=SCL
SymbolicName=SCL_BADFAILTC
Language=English
BADFAILTC,Invalid fail test-case
.

MessageId=1650
Severity=Error
Facility=SCL
SymbolicName=SCL_BADPASSTC
Language=English
BADPASSTC,Invalid pass test-case
.

MessageId=1651
Severity=Error
Facility=SCL
SymbolicName=SCL_BADHCOPY
Language=English
BADHCOPY,Invalid hardcopy device
.

MessageId=1652
Severity=Error
Facility=SCL
SymbolicName=SCL_ABRTTOOLONG
Language=English
ABRTTOOLONG,Abort test message too long
.

MessageId=1653
Severity=Error
Facility=SCL
SymbolicName=SCL_COMPTOOLONG
Language=English
COMPTOOLONG,Complete test message too long
.

MessageId=1654
Severity=Error
Facility=SCL
SymbolicName=SCL_FAILTOOLONG
Language=English
FAILTOOLONG,Fail test-case message too long
.

MessageId=1655
Severity=Error
Facility=SCL
SymbolicName=SCL_PASSTOOLONG
Language=English
PASSTOOLONG,Pass test-case message too long
.

MessageId=1656
Severity=Error
Facility=SCL
SymbolicName=SCL_HCOPYTOOLONG
Language=English
HCOPYTOOLONG,Hardcopy device too long
.

MessageId=1657
Severity=Error
Facility=SCL
SymbolicName=SCL_BADWKSQ
Language=English
BADWKSQ,Invalid Working Set Quota
.

MessageId=1658
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFTST
Language=English
UNDEFTST,Undefined Test
.

MessageId=1659
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDEFTHR
Language=English
UNDEFTHR,Undefined Thread
.

MessageId=1660
Severity=Error
Facility=SCL
SymbolicName=SCL_BADNUMBER
Language=English
BADNUMBER,Invalid Number
.

MessageId=1661
Severity=Error
Facility=SCL
SymbolicName=SCL_BADINTERVAL
Language=English
BADINTERVAL,Invalid Interval
.

MessageId=1662
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXTST
Language=English
MAXTST,Maximum Number of Test Definitions Exceeded
.

MessageId=1663
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXTSTTHR
Language=English
MAXTSTTHR,Maximum Number of Thread Definitions Exceeded
.

MessageId=1664
Severity=Error
Facility=SCL
SymbolicName=SCL_MAXTHR
Language=English
MAXTHR,Maximum Number of Thread Definitions Exceeded
.

MessageId=1665
Severity=Error
Facility=SCL
SymbolicName=SCL_INVENDSUBTST
Language=English
INVENDSUBTST,Invalid placement of END SUB-TEST command
.

MessageId=1666
Severity=Error
Facility=SCL
SymbolicName=SCL_MUSTBESUBTST
Language=English
MUSTBESUBTST,Next Command Must be EXIT, SUBROUTINE or SUB-TEST
.

MessageId=1667
Severity=Error
Facility=SCL
SymbolicName=SCL_DUPSUBTST
Language=English
DUPSUBTST,Sub-test Already Defined
.

MessageId=1668
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSUBTST
Language=English
INVSUBTST,Invalid placement of SUB-TEST command
.

MessageId=1669
Severity=Error
Facility=SCL
SymbolicName=SCL_INVSUBRTN
Language=English
INVSUBRTN,Invalid placement of SUBROUTINE command
.

MessageId=1670
Severity=Error
Facility=SCL
SymbolicName=SCL_SCRMODINV
Language=English
SCRMODINV,Screen mode only valid for character-cell mode scripts
.

MessageId=1671
Severity=Error
Facility=SCL
SymbolicName=SCL_BADSTART
Language=English
BADSTART,Invalid Startup Delay
.

MessageId=1672
Severity=Error
Facility=SCL
SymbolicName=SCL_MISTARGET
Language=English
MISTARGET,Mandatory TARGET clause missing
.

MessageId=1673
Severity=Error
Facility=SCL
SymbolicName=SCL_THROPTCONF
Language=English
THROPTCONF,!AS and !AS conflict in thread !AS!/on lines !UL and !UL of !AS
.

MessageId=1674
Severity=Error
Facility=SCL
SymbolicName=SCL_NOTUNIQUE
Language=English
NOTUNIQUE,Filename is not unique - terminal name must be included
.

MessageId=1675
Severity=Error
Facility=SCL
SymbolicName=SCL_MISINTERNET
Language=English
MISINTERNET,Internet Name/Address not specified for Remote TCP/IP Thread !AS in !AS
.

MessageId=1676
Severity=Error
Facility=SCL
SymbolicName=SCL_MISSERVICE
Language=English
MISSERVICE,Service not specified for Remote LAT Thread !AS in !AS
.

MessageId=1677
Severity=Error
Facility=SCL
SymbolicName=SCL_UNDECSUBTST
Language=English
UNDECSUBTST,Undeclared sub-test
.

MessageId=1678
Severity=Error
Facility=SCL
SymbolicName=SCL_TSTNOTSUBTST
Language=English
TSTNOTSUBTST,Sub-test declared as Test
.

MessageId=1679
Severity=Error
Facility=SCL
SymbolicName=SCL_TYPESCRIPT
Language=English
TYPESCRIPT,This command/statement is only valid in a script of type Script
.

MessageId=1680
Severity=Error
Facility=SCL
SymbolicName=SCL_AMBIGUOUSPRM
Language=English
AMBIGUOUSPRM,Ambiguous script parameter
.

MessageId=1681
Severity=Error
Facility=SCL
SymbolicName=SCL_NOEXEREF
Language=English
NOEXEREF,'!AS': No EXECUTE command for !AS
.

MessageId=1682
Severity=Error
Facility=SCL
SymbolicName=SCL_FILNAMTOOLONG
Language=English
FILNAMTOOLONG,File name too long
.

MessageId=2001
Severity=Error
Facility=SCL
SymbolicName=SCL_CODEOVERFLOW
Language=English
CODEOVERFLOW,Object Code Buffer Overflow
.

MessageId=2002
Severity=Error
Facility=SCL
SymbolicName=SCL_CONSOVERFLOW
Language=English
CONSOVERFLOW,Constants Data Area Overflow
.

MessageId=32767
Severity=Success
Facility=SCL
Language=English
SCL
.

;// 
;// FACILITY TPG
;// 
MessageId=1501
Severity=Error
Facility=TPG
SymbolicName=TPG_INVINITSTATE
Language=English
INVINITSTATE,Invalid format for the state initialization
.

MessageId=1502
Severity=Error
Facility=TPG
SymbolicName=TPG_INVSTATENAME
Language=English
INVSTATENAME,Invalid state name
.

MessageId=1503
Severity=Error
Facility=TPG
SymbolicName=TPG_NOINITSTATE
Language=English
NOINITSTATE,Initialization Clause Not Found - Compilation Aborted
.

MessageId=1504
Severity=Error
Facility=TPG
SymbolicName=TPG_MISSCOMMA
Language=English
MISSCOMMA,Missing separating comma, comma assumed
.
